## ETableSpecification ETableSpecification |

## Functions

ETableSpecification * | e_table_specification_new ()
const gchar * | e_table_specification_get_filename ()
GPtrArray * | e_table_specification_ref_columns ()
gint | e_table_specification_get_column_index ()

## Properties

gchar * | filename | Read / Write / Construct Only

## Object Hierarchy

        GObject
        ╰── ETableSpecification

## Description

## Functions

### e_table_specification_new ()

    ETableSpecification *
    e_table_specification_new (const gchar *filename,
                               GError **error);

Creates a new ETableSpecification from `filename` . If a file or parse error occurs, the function sets `error` and returns `NULL`.

#### Parameters

filename | a table specification file |
error | return location for a GError, or `NULL` |

#### Returns

an ETableSpecification, or `NULL`

### e_table_specification_get_filename ()

    const gchar *
    e_table_specification_get_filename (ETableSpecification *specification);

Returns the filename from which `specification` was loaded.

#### Parameters

specification | an ETableSpecification |

#### Returns

the table specification filename

### e_table_specification_ref_columns ()

    GPtrArray *
    e_table_specification_ref_columns (ETableSpecification *specification);

Returns a GPtrArray containing ETableColumnSpecification instances for all columns defined by `specification` . The array contents are owned by the `specification` and should not be modified. Unreference the array with `g_ptr_array_unref()` when finished with it.

#### Parameters

specification | an ETableSpecification |

#### Returns

a GPtrArray of ETableColumnSpecification instances

### e_table_specification_get_column_index ()

    gint
    e_table_specification_get_column_index
                                   (ETableSpecification *specification,
                                    ETableColumnSpecification *column_spec);

Returns the zero-based index of `column_spec` within `specification` , or a negative value if `column_spec` is not defined by `specification` .

#### Parameters

specification | an ETableSpecification |
column_spec | an ETableColumnSpecification |

#### Returns

the column index of `column_spec` , or a negative value

## Property Details

### The `“filename”` property

      “filename”                 gchar *

Name of the table specification file.

Owner: ETableSpecification

Flags: Read / Write / Construct Only

Default value: NULL